#pragma once

#include <windows.h>

namespace pp::platform::windows {

void set_async_render_context(HDC hdc, HGLRC hrc);
void lock_async_render_context();
[[nodiscard]] bool try_lock_async_render_context();
void unlock_async_render_context();
void swap_async_render_context();

}
